<?php

namespace Moell\LayuiAdmin\Http\Controllers;
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2020/3/17 0017
 * Time: 16:04
 */
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Validation\Rules\In;
use Moell\LayuiAdmin\Http\Requests\IndexNavigation\CreateOrUpdateRequest;
use Moell\LayuiAdmin\Models\IndexNavigation;

class IndexNavController extends  Controller
{
    public function index(Request $request)
    {
        $where = request_intersect(['name', 'type']);
        if (!isset($where['type']) || !$where['type']) {
            $where['type'] = 'index';
        }

        $navigation = IndexNavigation::query()
//            ->where($where)
            ->orderBy('sequence', 'desc')
            ->get()
            ->toJson();

        return view("admin::index_navigation.index",compact("navigation"));
    }

    public function create()
    {
        return view('admin::index_navigation.create');
    }

    public function store(CreateOrUpdateRequest $request)
    {

        IndexNavigation::create($request->all());

        return $this->success();
    }


    public function destroy($id)
    {
        $IndexNav = IndexNavigation::query()->findOrFail($id);

        if(IndexNavigation::query()->where('parent_id',$IndexNav->id)->count()) {
            return $this->unprocesableEtity([
                'parent_id' => '请先删除子菜单'
            ]);
        };
        $IndexNav->delete();
        return $this->success();
    }

    public function edit(IndexNavigation $indexNavigation)
    {

        return view('admin::index_navigation.edit',compact("indexNavigation"));
    }

    public function update(CreateOrUpdateRequest $request, $id)
    {

        $IndexNav = IndexNavigation::query()->findOrFail($id);

        $IndexNav->update($request->toArray());

        return $this->success();
    }

    public function show($id)
    {

    }


}